## dlt-viewer 2.18.0%2Bdfsg

=== parser/CMakeLists.txt ===
# Copyright (C) 2016, Jack S. Smith
# 
# This file is part of GENIVI DLT-Viewer project.
#   
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.genivi.org/.
#
# List of changes:
# 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
#

set (CMAKE_AUTOUIC ON)

# cmake 2.8.12 doesn't have AUTOUIC ??
QT5_WRAP_UI( UI_HEADERS ${CMAKE_CURRENT_SOURCE_DIR}/mainwindow.ui )

#message( STATUS "UI_HEADERS=[${UI_HEADERS}]")

add_executable(dlt_parser main.cpp
                          mainwindow.cpp
                          mainwindow.ui
                          qdltparser.cpp
                          ${UI_HEADERS})

target_link_libraries(dlt_parser Qt5::Widgets )

install(TARGETS dlt_parser DESTINATION deploy)

=== qdlt/CMakeLists.txt ===
# Copyright (C) 2016, Jack S. Smith
# 
# This file is part of GENIVI DLT-Viewer project.
#   
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.genivi.org/.
#
# List of changes:
# 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
#
add_library (qdlt dlt_common.c
                  qdltipconnection.cpp
                  qdlttcpconnection.cpp
                  qdltudpconnection.cpp
                  qdltserialconnection.cpp
                  qdltmsg.cpp
                  qdltfilter.cpp
                  qdltfile.cpp
                  qdltcontrol.cpp
                  qdltconnection.cpp
                  qdltbase.cpp
                  qdltargument.cpp
                  qdltfilterlist.cpp
                  qdltfilterindex.cpp
                  qdltdefaultfilter.cpp
                  qdltpluginmanager.cpp
                  qdltplugin.cpp
                  qdltsegmentedmsg.cpp)

target_include_directories (qdlt  PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}
                                          ${CMAKE_CURRENT_SOURCE_DIR}/../qextserialport/src
                                          ${CMAKE_CURRENT_SOURCE_DIR}/../src)

target_link_libraries(qdlt Qt5::Core Qt5::Widgets Qt5::Gui Qt5::Network)
#target_link_libraries(qdlt Qt5::Core Qt5::Network)

install(TARGETS qdlt DESTINATION deploy)

=== plugin/dltdbusplugin/CMakeLists.txt ===
# Copyright (C) 2016, Jack S. Smith
# 
# This file is part of GENIVI DLT-Viewer project.
#   
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.genivi.org/.
#
# List of changes:
# 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
#

set (CMAKE_AUTOUIC ON)

# cmake 2.8.12 doesn't have AUTOUIC ??
QT5_WRAP_UI( UI_HEADERS ${CMAKE_CURRENT_SOURCE_DIR}/form.ui )

add_library(dltdbusplugin MODULE dltdbusplugin.cpp
			  form.cpp
			  dbus.cpp
			  ${UI_HEADERS})

target_link_libraries(dltdbusplugin qdlt Qt5::Widgets )

install(TARGETS dltdbusplugin DESTINATION deploy/plugins)

=== plugin/dltlogstorageplugin/CMakeLists.txt ===
# Copyright (C) 2016, Jack S. Smith
# 
# This file is part of GENIVI DLT-Viewer project.
#   
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.genivi.org/.
#
# List of changes:
# 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
#

set (CMAKE_AUTOUIC ON)

# cmake 2.8.12 doesn't have AUTOUIC ??
QT5_WRAP_UI( UI_HEADERS ${CMAKE_CURRENT_SOURCE_DIR}/logstorageconfigcreatorform.ui )

add_library(dltlogstorageplugin MODULE dltlogstorageconfigcreatorplugin.cpp
    logstorageconfigcreatorform.cpp
    logstoragefilter.cpp
    ${UI_HEADERS})

target_link_libraries(dltlogstorageplugin qdlt Qt5::Widgets )
install(TARGETS dltlogstorageplugin DESTINATION deploy/plugins)

=== plugin/dltviewerplugin/CMakeLists.txt ===
# Copyright (C) 2016, Jack S. Smith
# 
# This file is part of GENIVI DLT-Viewer project.
#   
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.genivi.org/.
#
# List of changes:
# 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
#

set (CMAKE_AUTOUIC ON)
set (CMAKE_AUTOMOC ON)

# cmake 2.8.12 doesn't have AUTOUIC ??
QT5_WRAP_UI( UI_HEADERS ${CMAKE_CURRENT_SOURCE_DIR}/form.ui )

#message( STATUS "UI_HEADERS=[${UI_HEADERS}]")

add_library(dltviewerplugin MODULE dltviewerplugin.cpp
				form.cpp
	                        ${UI_HEADERS})

target_link_libraries(dltviewerplugin qdlt Qt5::Widgets )
install(TARGETS dltviewerplugin DESTINATION deploy/plugins)

=== debian/control ===
Source: dlt-viewer
Section: devel
Priority: optional
Maintainer: Stefan Potyra <stefan@potyra.de>
Uploaders: Bruno "Fuddl" Kleinert <fuddl@debian.org>,
 Aigars Mahinovs <aigarius@debian.org>
Build-Depends: debhelper-compat (= 12),
 qtbase5-dev,
 qtdeclarative5-dev,
 libqt5serialport5-dev,
 cmake,
 asciidoc,
 dblatex
Standards-Version: 4.3.0.3
Homepage: https://at.projects.genivi.org/wiki/display/PROJ/Diagnostic+Log+and+Trace

Package: dlt-viewer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Viewer for GENIVI DLT traces
 The Diagnostic Log and Trace Viewer is an application that can send and
 receive control messages to the DLT daemon, e.g., to set individual log
 levels of applications and contexts or get the list of applications
 and contexts registered in the DLT daemon.

Package: dlt-viewer-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Viewer for GENIVI DLT traces - development files
 The Diagnostic Log and Trace Viewer is an application that can send and
 receive control messages to the DLT daemon, e.g., to set individual log
 levels of applications and contexts or get the list of applications
 and contexts registered in the DLT daemon.
 .
 This package contains the development files for plugin development.

## dlt-viewer 2.18.0+dfsg

=== CMakeLists.txt ===
#
# Copyright (C) 2016, Jack S. Smith
# 
# This file is part of GENIVI DLT-Viewer project.
#   
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.genivi.org/.
#
# List of changes:
# 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
#

cmake_minimum_required (VERSION 2.8.12)

project (DLT-Viewer)

set(QT_VERSION_REQ "5")

find_package(Qt5Core ${QT_VERSION_REQ} REQUIRED)
find_package(Qt5Quick ${QT_VERSION_REQ} REQUIRED)
find_package(Qt5Widgets ${QT_VERSION_REQ} REQUIRED)
find_package(Qt5SerialPort ${QT_VERSION_REQ} REQUIRED)

set (CMAKE_VERBOSE_MAKEFILE FALSE)

set (CMAKE_AUTOMOC ON)
set (CMAKE_AUTOUIC ON)

set (CMAKE_INCLUDE_CURRENT_DIR ON)

add_definitions(-DQT5)

add_subdirectory(parser)
add_subdirectory(qdlt)
add_subdirectory(qextserialport)
add_subdirectory(src)
add_subdirectory(plugin)
#add_subdirectory(dlt-console-viewer)

=== plugin/CMakeLists.txt ===
# Copyright (C) 2016, Jack S. Smith
# 
# This file is part of GENIVI DLT-Viewer project.
#   
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.genivi.org/.
#
# List of changes:
# 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
#


cmake_minimum_required (VERSION 2.8.12)
set (CMAKE_VERBOSE_MAKEFILE FALSE)

add_subdirectory(dltviewerplugin)
add_subdirectory(nonverboseplugin)
add_subdirectory(filetransferplugin)
add_subdirectory(dltsystemviewerplugin)
add_subdirectory(dummycontrolplugin)
add_subdirectory(dummyviewerplugin)
add_subdirectory(dummycommandplugin)
add_subdirectory(dummydecoderplugin)
add_subdirectory(dltdbusplugin)
add_subdirectory(dltlogstorageplugin)

=== qextserialport/CMakeLists.txt ===
# Copyright (C) 2016, Jack S. Smith
# 
# This file is part of GENIVI DLT-Viewer project.
#   
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.genivi.org/.
#
# List of changes:
# 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
#

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

list(APPEND QEXT_SERIALPORT_SOURCES src/qextserialport.cpp
                                    src/qextserialenumerator.cpp)

# Process conditional here
# I suspect there's a better way to do this.
if(${CMAKE_SYSTEM_NAME} STREQUAL Linux)
    list(APPEND QEXT_SERIALPORT_SOURCES src/qextserialport_unix.cpp
                                        src/qextserialenumerator_unix.cpp)
elseif(${CMAKE_SYSTEM_NAME} STREQUAL Darwin)  # OSX
    list(APPEND QEXT_SERIALPORT_SOURCES src/qextserialenumerator_osx.cpp)
elseif(${CMAKE_SYSTEM_NAME} STREQUAL Windows)
    list(APPEND QEXT_SERIALPORT_SOURCES src/qextserialport_win.cpp
                                        src/qextserialenumerator_win.cpp)
endif()

add_library (qextserialport ${QEXT_SERIALPORT_SOURCES})
# Make sure the compiler can find include files for our qextserialport library
# when other libraries or executables link to qextserialport
target_include_directories (qextserialport PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

# Refactoring GUI components out of this is a good idea
#qt5_use_modules(qextserialport Core)
qt5_use_modules(qextserialport Widgets)

install(TARGETS qextserialport DESTINATION deploy)

=== src/CMakeLists.txt ===
# Copyright (C) 2016, Jack S. Smith
# 
# This file is part of GENIVI DLT-Viewer project.
#   
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.genivi.org/.
#
# List of changes:
# 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
#

cmake_minimum_required (VERSION 2.8.12)
set (CMAKE_VERBOSE_MAKEFILE FALSE)


set (CMAKE_AUTOUIC ON)

# cmake 2.8.12 doesn't have AUTOUIC ??
FILE(GLOB ALL_UIS ${CMAKE_CURRENT_SOURCE_DIR}/*.ui)
QT5_WRAP_UI( UI_HEADERS ${ALL_UIS} )

QT5_ADD_RESOURCES(UI_RESOURCES_RCC resource.qrc)

add_executable (dlt-viewer main.cpp
    mainwindow.cpp
    project.cpp
    ecudialog.cpp
    applicationdialog.cpp
    contextdialog.cpp
    filterdialog.cpp
    plugindialog.cpp
    settingsdialog.cpp
    injectiondialog.cpp
    searchdialog.cpp
    multiplecontextdialog.cpp
    optmanager.cpp
    dltsettingsmanager.cpp
    tablemodel.cpp
    filtertreewidget.cpp
    dltfileutils.cpp
    dltfileindexer.cpp
    dlttableview.cpp
    dltexporter.cpp
    fieldnames.cpp
    dltuiutils.cpp
    workingdirectory.cpp
    jumptodialog.cpp
    searchtablemodel.cpp
    pulsebutton.cpp
    plugintreewidget.cpp
    exporterdialog.cpp
    dltmsgqueue.cpp
    dltfileindexerthread.cpp
    dltfileindexerdefaultfilterthread.cpp
    resource.qrc
    ${UI_HEADERS}
    ${UI_RESOURCES_RCC})
message( STATUS "Qt5Widgets_LIBRARIES ${Qt5Widgets_LIBRARIES}")
target_link_libraries(dlt-viewer  qdlt
                                  qextserialport
                                  ${Qt5Core_LIBRARIES}
                                  ${Qt5Network_LIBRARIES}
                                  ${Qt5Widgets_LIBRARIES}
                                  ${Qt5SerialPort_LIBRARIES})

install(TARGETS dlt-viewer DESTINATION deploy)
install(DIRECTORY icon png svg DESTINATION deploy
			PATTERN icon/*.rc EXCLUDE )

=== examples/dlt-speed-app/CMakeLists.txt ===
#######
# Dlt Speed App - Example Spped Application
# @licence make begin@
#
# Copyright (C) 2011, BMW AG - Alexander Wenzel <alexander.aw.wenzel@bmw.de>
# 
# Copyright (C) 2011-2012, BMW AG - Alexander Wenzel <alexander.aw.wenzel@bmw.de>
#
# Contributions are licensed to the GENIVI Alliance under one or more
# Contribution License Agreements.
# 
# This Source Code Form is subject to the terms of the
# Mozilla Public License, v. 2.0. If a  copy of the MPL was not distributed with
# this file, You can obtain one at http://mozilla.org/MPL/2.0/.
#
# @licence end@
########


# Minimum cmake version required
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)


# Name for the entire project
PROJECT(dlt-speed-app)


# Set version parameters
SET( ${PROJECT_NAME}_MAJOR_VERSION 0 )
SET( ${PROJECT_NAME}_MINOR_VERSION 2 )
SET( ${PROJECT_NAME}_PATCH_LEVEL 0 )
SET( ${PROJECT_NAME}_VERSION_STATE "RELEASE" )
SET( PRINT_VERSION ${${PROJECT_NAME}_MAJOR_VERSION}.${${PROJECT_NAME}_MINOR_VERSION}.${${PROJECT_NAME}_PATCH_LEVEL})
SET( PRINT_VERSION_STATE ${${PROJECT_NAME}_VERSION_STATE})

# Print version information
MESSAGE("VERSION ${PRINT_VERSION}")
MESSAGE("VERSION_STATE ${PRINT_VERSION_STATE}")



# Use PkgConfig to check for automtoive-dlt
FIND_PACKAGE(PkgConfig)
pkg_check_modules(DLT REQUIRED automotive-dlt)
  

# Set CMAKE variables to given values
if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
    SET(CMAKE_CXX_FLAGS "-std=gnu++0x")
endif()
SET(CMAKE_CXX_FLAGS "-Wall")
SET(CMAKE_CXX_FLAGS "-Wextra")
#SET(CMAKE_CXX_FLAGS "-pedantic")
#SET(CMAKE_LD_FLAGS "-ldlt")
SET(CMAKE_BUILD_TYPE Release)



# Add include directories to the build
INCLUDE_DIRECTORIES(
  src
  ${GLIB_INCLUDE_DIRS}
  ${DLT_INCLUDE_DIRS}
)


# Specify directories in which the linker will look for libraries
LINK_DIRECTORIES(
    ${LINK_DIRECTORIES}
    ${DLT_LIBRARY_DIRS}
)


# GLOB will generate a list of all files that match the globbing expressions and store it into "SOURCES"
FILE(GLOB SOURCES
   "*.c"
)

# Add an executable to the project using the specified source files
ADD_EXECUTABLE(
   dlt-speed-app
    ${SOURCES}
)


# Link a target to given libraries
TARGET_LINK_LIBRARIES(
   dlt-speed-app
   ${GLIB_LIBRARIES}
   ${DLT_LIBRARIES}
)


# Installing files
INSTALL(TARGETS dlt-speed-app
  RUNTIME DESTINATION bin
)

=== plugin/dltsystemviewerplugin/CMakeLists.txt ===
# Copyright (C) 2016, Jack S. Smith
# 
# This file is part of GENIVI DLT-Viewer project.
#   
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.genivi.org/.
#
# List of changes:
# 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
#

set (CMAKE_AUTOUIC ON)

# cmake 2.8.12 doesn't have AUTOUIC ??
QT5_WRAP_UI( UI_HEADERS ${CMAKE_CURRENT_SOURCE_DIR}/form.ui )

add_library(dltsystemviewerplugin MODULE dltsystemviewerplugin.cpp
    				form.cpp
                          	${UI_HEADERS})

target_link_libraries(dltsystemviewerplugin qdlt Qt5::Widgets )
install(TARGETS dltsystemviewerplugin DESTINATION deploy/plugins)

=== plugin/dummycommandplugin/CMakeLists.txt ===
#
# Copyright (C) 2016, Jack S. Smith
# 
# This file is part of GENIVI DLT-Viewer project.
#   
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.genivi.org/.
#
# List of changes:
# 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
#
#

# set (CMAKE_AUTOUIC ON)

# cmake 2.8.12 doesn't have AUTOUIC ??
# QT5_WRAP_UI( UI_HEADERS ${CMAKE_CURRENT_SOURCE_DIR}/form.ui )

#message( STATUS "UI_HEADERS=[${UI_HEADERS}]")

add_library(dummycommandplugin MODULE dummycommandplugin.cpp
	                        ${UI_HEADERS})

target_link_libraries(dummycommandplugin qdlt Qt5::Widgets )
install(TARGETS dummycommandplugin DESTINATION deploy/plugins)

=== plugin/dummycontrolplugin/CMakeLists.txt ===
#
# Copyright (C) 2016, Jack S. Smith
#
# This file is part of GENIVI DLT-Viewer project.
#
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.genivi.org/.
#
# List of changes:
# 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
#


set (CMAKE_AUTOUIC ON)

#cmake 2.8.12 doesn't have AUTOUIC ??
QT5_WRAP_UI( UI_HEADERS ${CMAKE_CURRENT_SOURCE_DIR}/form.ui )

add_library(dummycontrolplugin MODULE dummycontrolplugin.cpp
   form.cpp
   ${UI_HEADERS})

target_link_libraries(dummycontrolplugin qdlt Qt5::Widgets )
install(TARGETS dummycontrolplugin DESTINATION deploy/plugins)

=== plugin/dummydecoderplugin/CMakeLists.txt ===
# Copyright (C) 2016, Jack S. Smith
# 
# This file is part of GENIVI DLT-Viewer project.
#   
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.genivi.org/.
#
# List of changes:
# 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
#

# set (CMAKE_AUTOUIC ON)

# cmake 2.8.12 doesn't have AUTOUIC ??
# QT5_WRAP_UI( UI_HEADERS ${CMAKE_CURRENT_SOURCE_DIR}/form.ui )

add_library(dummydecoderplugin MODULE dummydecoderplugin.cpp
                        ${UI_HEADERS})

target_link_libraries(dummydecoderplugin qdlt Qt5::Widgets )
install(TARGETS dummydecoderplugin DESTINATION deploy/plugins)

=== plugin/dummyviewerplugin/CMakeLists.txt ===
# Copyright (C) 2016, Jack S. Smith
# 
# This file is part of GENIVI DLT-Viewer project.
#   
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.genivi.org/.
#
# List of changes:
# 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
#

set (CMAKE_AUTOUIC ON)

# cmake 2.8.12 doesn't have AUTOUIC ??
QT5_WRAP_UI( UI_HEADERS ${CMAKE_CURRENT_SOURCE_DIR}/form.ui )

add_library(dummyviewerplugin MODULE dummyviewerplugin.cpp
    				form.cpp
                          	${UI_HEADERS})

target_link_libraries(dummyviewerplugin qdlt Qt5::Widgets )
install(TARGETS dummyviewerplugin DESTINATION deploy/plugins)

=== plugin/filetransferplugin/CMakeLists.txt ===
# Copyright (C) 2016, Jack S. Smith
# 
# This file is part of GENIVI DLT-Viewer project.
#   
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.genivi.org/.
#
# List of changes:
# 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
#

find_package(Qt5PrintSupport ${QT_VERSION_REQ} REQUIRED)

set (CMAKE_AUTOUIC ON)

# cmake 2.8.12 doesn't have AUTOUIC ??
QT5_WRAP_UI( UI_HEADERS ${CMAKE_CURRENT_SOURCE_DIR}/form.ui
			${CMAKE_CURRENT_SOURCE_DIR}/imagepreviewdialog.ui
    			${CMAKE_CURRENT_SOURCE_DIR}/textviewdialog.ui )

add_library(filetransferplugin 	MODULE filetransferplugin.cpp
				form.cpp
				file.cpp
				imagepreviewdialog.cpp
				textviewdialog.cpp
				configuration.cpp
				${UI_HEADERS})

target_link_libraries(filetransferplugin qdlt Qt5::Widgets Qt5::PrintSupport )

install(TARGETS filetransferplugin DESTINATION deploy/plugins)

=== plugin/nonverboseplugin/CMakeLists.txt ===
#
# Copyright (C) 2016, Jack S. Smith
# 
# This file is part of GENIVI DLT-Viewer project.
#   
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.genivi.org/.
#
# List of changes:
# 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
#

#set (CMAKE_AUTOUIC ON)

# cmake 2.8.12 doesn't have AUTOUIC ??

add_library(nonverboseplugin MODULE nonverboseplugin.cpp
                          ${UI_HEADERS})

target_link_libraries(nonverboseplugin qdlt Qt5::Widgets )

install(TARGETS nonverboseplugin DESTINATION deploy/plugins)

=== debian/changelog ===
dlt-viewer (2.18.0+dfsg-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:12:50 +0100

dlt-viewer (2.18.0+dfsg-1) unstable; urgency=medium

  * Initial Release, closes: #926475.

 -- Stefan Potyra <stefan@potyra.de>  Sun, 07 Apr 2019 14:38:26 +0200

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DLT_USERGUIDES := \
	doc/dlt_viewer_plugins_programming_guide.pdf \
	doc/dlt_viewer_user_manual.pdf

debian/doc-stamp: doc/dlt_viewer_user_manual.txt doc/dlt_viewer_plugins_programming_guide.txt
	cd doc && sh convert.sh && cd ..
	touch $@

$(DLT_USERGUIDES): debian/doc-stamp
	@true

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
              -DUSE_STANDARD_INSTALLATION_LOCATION=ON

override_dh_installdocs: $(DLT_USERGUIDES)
	dh_installdocs

override_dh_clean:
	$(RM) doc/dlt_viewer_plugins_programming_guide.pdf \
		doc/dlt_viewer_user_manual.pdf \
		debian/doc-stamp
	dh_clean

## dlt-viewer 2.19.0+dfsg

=== CMakeLists.txt ===
#
# Copyright (C) 2016, Jack S. Smith
#
# This file is part of GENIVI DLT-Viewer project.
#
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.genivi.org/.
#
# List of changes:
# 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
#

cmake_minimum_required (VERSION 3.1)

project (dlt_viewer)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(QT_VERSION_REQ "5")

find_package(Qt5 ${QT_VERSION_REQ} REQUIRED COMPONENTS Core Network Widgets SerialPort PrintSupport)

if(Qt5Core_VERSION VERSION_LESS "5.5.1")
    # Presumably Qt5Core implies all dependent libs too
    message(FATAL_ERROR "QT minimum version required: 5.5.1")
endif()

set (CMAKE_VERBOSE_MAKEFILE FALSE)

set (CMAKE_AUTOMOC ON)
set (CMAKE_AUTOUIC ON)

set (CMAKE_INCLUDE_CURRENT_DIR ON)

# Add Qt to the RPATH, so that there is no need to set LD_LIBRARY_PATH at runtime if Qt is installed in a non-standard location
get_target_property(QT_LIBRARY_PATH Qt5::Core LOCATION)
get_filename_component(QT_LIB_DIR ${QT_LIBRARY_PATH} DIRECTORY)
set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_RPATH};${QT_LIB_DIR}")

SET(CMAKE_C_FLAGS  "${CMAKE_C_FLAGS} -std=gnu99")
add_definitions( "-Wall" )
add_definitions( "-Wextra" )
add_definitions( "-pedantic" )
add_definitions( "-Wno-variadic-macros" )
add_definitions( "-Wno-strict-aliasing" )


# build executables in build/bin directory
set(BIN_DIR ${CMAKE_BINARY_DIR}/bin)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${BIN_DIR})

add_definitions(-DQT5)

set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)   # set location for all executables in the build folder

option(USE_STANDARD_INSTALLATION_LOCATION "Use standard GNU installation locations" OFF)

if (USE_STANDARD_INSTALLATION_LOCATION)
    include(GNUInstallDirs)    # for standard installation locations
    set(PLUGIN_INSTALLATION_PATH ${CMAKE_INSTALL_FULL_LIBDIR}/dlt-viewer/plugins)
    set(RESOURCE_INSTALLATION_PATH ${CMAKE_INSTALL_FULL_DATADIR}/dlt-viewer)
    set(EXECUTABLE_INSTALLATION_PATH ${CMAKE_INSTALL_FULL_BINDIR})
    set(LIBRARY_INSTALLATION_PATH ${CMAKE_INSTALL_FULL_LIBDIR})
else()
    set(PLUGIN_INSTALLATION_PATH deploy/plugins)
    set(RESOURCE_INSTALLATION_PATH deploy)
    set(EXECUTABLE_INSTALLATION_PATH deploy)
    set(LIBRARY_INSTALLATION_PATH deploy)
endif()

add_definitions(-DPLUGIN_INSTALLATION_PATH="${PLUGIN_INSTALLATION_PATH}")

add_subdirectory(parser)
add_subdirectory(qdlt)
add_subdirectory(src)
add_subdirectory(plugin)
#add_subdirectory(dlt-console-viewer)

#get_cmake_property(_variableNames VARIABLES)
#foreach (_variableName ${_variableNames})
#    message(STATUS "${_variableName}=${${_variableName}}")
#endforeach()

=== parser/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Copyright (C) 2016, Jack S. Smith
-# 
+#
 # This file is part of GENIVI DLT-Viewer project.
-#   
+#
 # This Source Code Form is subject to the terms of the
 # Mozilla Public License (MPL), v. 2.0.
 # If a copy of the MPL was not distributed with this file,
@@ -12,8 +12,6 @@
 # List of changes:
 # 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
 #
-
-set (CMAKE_AUTOUIC ON)
 
 # cmake 2.8.12 doesn't have AUTOUIC ??
 QT5_WRAP_UI( UI_HEADERS ${CMAKE_CURRENT_SOURCE_DIR}/mainwindow.ui )
@@ -28,4 +26,4 @@
 
 target_link_libraries(dlt_parser Qt5::Widgets )
 
-install(TARGETS dlt_parser DESTINATION deploy)
+install(TARGETS dlt_parser DESTINATION ${EXECUTABLE_INSTALLATION_PATH})

=== qdlt/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Copyright (C) 2016, Jack S. Smith
-# 
+#
 # This file is part of GENIVI DLT-Viewer project.
-#   
+#
 # This Source Code Form is subject to the terms of the
 # Mozilla Public License (MPL), v. 2.0.
 # If a copy of the MPL was not distributed with this file,
@@ -12,7 +12,15 @@
 # List of changes:
 # 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
 #
-add_library (qdlt dlt_common.c
+
+set(QDLT_LIBRARY_TYPE STATIC)
+
+if(WIN32)
+add_definitions(-DQDLT_LIBRARY)
+set(QDLT_LIBRARY_TYPE SHARED)
+endif()
+
+add_library (qdlt ${QDLT_LIBRARY_TYPE} dlt_common.c
                   qdltipconnection.cpp
                   qdlttcpconnection.cpp
                   qdltudpconnection.cpp
@@ -32,10 +40,15 @@
                   qdltsegmentedmsg.cpp)
 
 target_include_directories (qdlt  PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}
-                                          ${CMAKE_CURRENT_SOURCE_DIR}/../qextserialport/src
-                                          ${CMAKE_CURRENT_SOURCE_DIR}/../src)
+                                         ${CMAKE_CURRENT_SOURCE_DIR}/../src)
 
-target_link_libraries(qdlt Qt5::Core Qt5::Widgets Qt5::Gui Qt5::Network)
-#target_link_libraries(qdlt Qt5::Core Qt5::Network)
+#target_link_libraries(qdlt Qt5::Core Qt5::Network Qt5::SerialPort)
+target_link_libraries(qdlt Qt5::Core Qt5::Network Qt5::Widgets Qt5::SerialPort)
 
-install(TARGETS qdlt DESTINATION deploy)
+if(WIN32)
+set(QDLT_LINK_LIBS ${QDLT_LINK_LIBS} ws2_32)
+endif()
+
+target_link_libraries(qdlt ${QDLT_LINK_LIBS})
+
+install(TARGETS qdlt DESTINATION ${LIBRARY_INSTALLATION_PATH})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -14,10 +14,8 @@
 #
 
 cmake_minimum_required (VERSION 2.8.12)
-set (CMAKE_VERBOSE_MAKEFILE FALSE)
 
-
-set (CMAKE_AUTOUIC ON)
+set (TARGET_NAME dlt-viewer)
 
 # cmake 2.8.12 doesn't have AUTOUIC ??
 FILE(GLOB ALL_UIS ${CMAKE_CURRENT_SOURCE_DIR}/*.ui)
@@ -25,7 +23,8 @@
 
 QT5_ADD_RESOURCES(UI_RESOURCES_RCC resource.qrc)
 
-add_executable (dlt-viewer main.cpp
+add_executable (${TARGET_NAME}
+    main.cpp
     mainwindow.cpp
     project.cpp
     ecudialog.cpp
@@ -56,17 +55,22 @@
     dltmsgqueue.cpp
     dltfileindexerthread.cpp
     dltfileindexerdefaultfilterthread.cpp
+    mcudpsocket.cpp
     resource.qrc
     ${UI_HEADERS}
-    ${UI_RESOURCES_RCC})
-message( STATUS "Qt5Widgets_LIBRARIES ${Qt5Widgets_LIBRARIES}")
-target_link_libraries(dlt-viewer  qdlt
-                                  qextserialport
-                                  ${Qt5Core_LIBRARIES}
-                                  ${Qt5Network_LIBRARIES}
-                                  ${Qt5Widgets_LIBRARIES}
-                                  ${Qt5SerialPort_LIBRARIES})
+    ${UI_RESOURCES_RCC}
+)
 
-install(TARGETS dlt-viewer DESTINATION deploy)
+target_link_libraries (${TARGET_NAME}
+    qdlt
+    Qt5::Core
+    Qt5::Network
+    Qt5::Widgets
+    Qt5::SerialPort
+)
+
+install(TARGETS ${TARGET_NAME} DESTINATION deploy)
 install(DIRECTORY icon png svg DESTINATION deploy
-			PATTERN icon/*.rc EXCLUDE )
+        PATTERN icon/*.rc EXCLUDE )
+
+include (${CMAKE_SYSTEM_NAME}.cmake OPTIONAL)

=== debian/changelog ===
dlt-viewer (2.19.0+dfsg-1) unstable; urgency=medium

  * New upstream version, closes: #947829.
  * debian/watch: Add watch file, thanks Gianfranco Costamagna!
  * debian/rules:
    + Update to build user's guide.
    + Disable usage of RPATH.
  * debian/dlt-viewer.docs: Remove README.txt, no longer present.
  * debian/patches/02_fix_desktop_file.patch: Integrated upstream, no
    longer required.
  * debian/patches/01_fix_install_location.patch: Minimize for the only
    last bit missing upstream (since I forgot to forward this).
  * debian/patches/02_remove_rpath.patch: Add new patch to make usage
    of RPATH optional.
  * debian/copyright:
    + Mention excluded files.
    + Remove no longer applicable content.
  * debian/TODO.Debian:
    + Renamed to debian/TODO.
    + Remove need for watch file.
  * debian/control:
    + Add Vcs URLs.
    + Update standards-version, no further changes required.

 -- Stefan Potyra <stefan@potyra.de>  Sat, 04 Jan 2020 20:25:03 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,10 @@
  cmake,
  asciidoc,
  dblatex
-Standards-Version: 4.3.0.3
+Standards-Version: 4.4.1
 Homepage: https://at.projects.genivi.org/wiki/display/PROJ/Diagnostic+Log+and+Trace
+Vcs-Browser: https://salsa.debian.org/sistpoty-guest-guest/dlt-viewer
+Vcs-Git: https://salsa.debian.org/sistpoty-guest-guest/dlt-viewer.git
 
 Package: dlt-viewer
 Architecture: any

## dlt-viewer 2.21.1+dfsg

=== debian/changelog ===
dlt-viewer (2.21.1+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove unused license definitions for MIT.
  * Update standards version to 4.5.0, no changes needed.
  * Remove 1 unused lintian overrides.

  [ Gianfranco Costamagna ]
  * Add mylself to uploaders
  * Exclude another pdf file from tarball
  * New upstream version 2.21.0+dfsg (Closes: #976286)
  * drop patch 01_fix_install_location.patch: upstream
  * Refresh patch 02_remove_rpath.patch
  * Adjust desktop file for new upstream naming
  * Install new png icon

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 30 Jan 2021 13:35:57 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Stefan Potyra <stefan@potyra.de>
 Uploaders: Bruno "Fuddl" Kleinert <fuddl@debian.org>,
- Aigars Mahinovs <aigarius@debian.org>
+ Aigars Mahinovs <aigarius@debian.org>,
+ Gianfranco Costamagna <locutusofborg@debian.org>
 Build-Depends: debhelper-compat (= 12),
  qtbase5-dev,
  qtdeclarative5-dev,
@@ -11,7 +12,7 @@
  cmake,
  asciidoc,
  dblatex
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://at.projects.genivi.org/wiki/display/PROJ/Diagnostic+Log+and+Trace
 Vcs-Browser: https://salsa.debian.org/sistpoty-guest-guest/dlt-viewer
 Vcs-Git: https://salsa.debian.org/sistpoty-guest-guest/dlt-viewer.git

## dlt-viewer 2.21.2%2Bdfsg

=== plugin/nonverboseplugin/CMakeLists.txt ===
--- 
+++ 
@@ -14,8 +14,6 @@
 # 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
 #
 
-#set (CMAKE_AUTOUIC ON)
-
 # cmake 2.8.12 doesn't have AUTOUIC ??
 
 add_library(nonverboseplugin MODULE nonverboseplugin.cpp
@@ -23,4 +21,4 @@
 
 target_link_libraries(nonverboseplugin qdlt Qt5::Widgets )
 
-install(TARGETS nonverboseplugin DESTINATION deploy/plugins)
+add_plugin(nonverboseplugin)

## dlt-viewer 2.21.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,10 +16,16 @@
 
 cmake_minimum_required (VERSION 3.1)
 
-project (dlt_viewer)
+project (dlt-viewer)
 
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
+
+set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
+
+if(NOT CMAKE_BUILD_TYPE)
+  set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel." FORCE)
+endif()
 
 set(QT_VERSION_REQ "5")
 
@@ -42,13 +48,15 @@
 get_filename_component(QT_LIB_DIR ${QT_LIBRARY_PATH} DIRECTORY)
 set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_RPATH};${QT_LIB_DIR}")
 
-SET(CMAKE_C_FLAGS  "${CMAKE_C_FLAGS} -std=gnu99")
-add_definitions( "-Wall" )
-add_definitions( "-Wextra" )
-add_definitions( "-pedantic" )
-add_definitions( "-Wno-variadic-macros" )
-add_definitions( "-Wno-strict-aliasing" )
-
+# Injection of the GCC-specific compilation flags
+if(NOT CMAKE_CXX_COMPILER_ID MATCHES "MSVC")
+    SET(CMAKE_C_FLAGS  "${CMAKE_C_FLAGS} -std=gnu99")
+    add_definitions( "-Wall" )
+    add_definitions( "-Wextra" )
+    add_definitions( "-pedantic" )
+    add_definitions( "-Wno-variadic-macros" )
+    add_definitions( "-Wno-strict-aliasing" )
+endif()
 
 # build executables in build/bin directory
 set(BIN_DIR ${CMAKE_BINARY_DIR}/bin)

=== parser/CMakeLists.txt ===
--- 
+++ 
@@ -18,12 +18,12 @@
 
 #message( STATUS "UI_HEADERS=[${UI_HEADERS}]")
 
-add_executable(dlt_parser main.cpp
+add_executable(dlt-parser main.cpp
                           mainwindow.cpp
                           mainwindow.ui
                           qdltparser.cpp
                           ${UI_HEADERS})
 
-target_link_libraries(dlt_parser Qt5::Widgets )
+target_link_libraries(dlt-parser Qt5::Widgets -lstdc++)
 
-install(TARGETS dlt_parser DESTINATION ${EXECUTABLE_INSTALLATION_PATH})
+install(TARGETS dlt-parser DESTINATION ${EXECUTABLE_INSTALLATION_PATH})

=== plugin/CMakeLists.txt ===
--- 
+++ 
@@ -13,9 +13,27 @@
 # 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
 #
 
+# build plugins in build/bin/plugins directory
+set(PLUGIN_DIR ${BIN_DIR}/plugins)
+set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PLUGIN_DIR})
+set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PLUGIN_DIR})
+set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PLUGIN_DIR})
 
-cmake_minimum_required (VERSION 2.8.12)
-set (CMAKE_VERBOSE_MAKEFILE FALSE)
+
+function(add_plugin NAME)
+
+    target_link_libraries(${NAME} qdlt Qt5::Widgets)
+    install(TARGETS ${NAME} DESTINATION ${PLUGIN_INSTALLATION_PATH})
+
+    # set the location of the plugins in such a way that they can be located by the dlt-viewer executable when running in
+    # directly from the build folder (without "make install")
+    set_target_properties(${NAME} PROPERTIES
+        LIBRARY_OUTPUT_DIRECTORY ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}
+        RUNTIME_OUTPUT_DIRECTORY ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}
+    )
+
+endfunction()
+
 
 add_subdirectory(dltviewerplugin)
 add_subdirectory(nonverboseplugin)

=== qdlt/CMakeLists.txt ===
--- 
+++ 
@@ -35,15 +35,18 @@
                   qdltfilterlist.cpp
                   qdltfilterindex.cpp
                   qdltdefaultfilter.cpp
+                  qdltmessagedecoder.cpp
                   qdltpluginmanager.cpp
                   qdltplugin.cpp
-                  qdltsegmentedmsg.cpp)
+                  qdltsegmentedmsg.cpp
+                  qdltoptmanager.cpp
+                  qdltsettingsmanager.cpp)
 
 target_include_directories (qdlt  PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}
                                          ${CMAKE_CURRENT_SOURCE_DIR}/../src)
 
 #target_link_libraries(qdlt Qt5::Core Qt5::Network Qt5::SerialPort)
-target_link_libraries(qdlt Qt5::Core Qt5::Network Qt5::Widgets Qt5::SerialPort)
+target_link_libraries(qdlt Qt5::Core Qt5::Network Qt5::Widgets Qt5::SerialPort -lstdc++)
 
 if(WIN32)
 set(QDLT_LINK_LIBS ${QDLT_LINK_LIBS} ws2_32)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -36,8 +36,6 @@
     injectiondialog.cpp
     searchdialog.cpp
     multiplecontextdialog.cpp
-    optmanager.cpp
-    dltsettingsmanager.cpp
     tablemodel.cpp
     filtertreewidget.cpp
     dltfileutils.cpp
@@ -69,8 +67,8 @@
     Qt5::SerialPort
 )
 
-install(TARGETS ${TARGET_NAME} DESTINATION deploy)
-install(DIRECTORY icon png svg DESTINATION deploy
+install(TARGETS ${TARGET_NAME} DESTINATION ${EXECUTABLE_INSTALLATION_PATH})
+install(DIRECTORY icon png svg DESTINATION ${RESOURCE_INSTALLATION_PATH}
         PATTERN icon/*.rc EXCLUDE )
 
 include (${CMAKE_SYSTEM_NAME}.cmake OPTIONAL)

=== examples/dlt-speed-plugin/CMakeLists.txt ===
# Copyright (C) 2016, Jack S. Smith
# 
# This file is part of GENIVI DLT-Viewer project.
#   
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.genivi.org/.
#
# List of changes:
# 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
#

set (CMAKE_AUTOUIC ON)

MESSAGE("  Searching for QWT !")
FIND_PATH(QWT_INCLUDE_DIR NAMES qwt.h PATHS
  /usr/include
  /usr/local/include
  "$ENV{LIB_DIR}/include" 
  "$ENV{INCLUDE}" 
  PATH_SUFFIXES qwt-qt5 qwt
  )

FIND_LIBRARY(QWT_LIBRARY NAMES qwt qwt5 qwt-qt5 PATHS 
  /usr/lib
  /usr/local/lib
  "$ENV{LIB_DIR}/lib" 
  "$ENV{LIB}/lib" 
  )

IF (QWT_INCLUDE_DIR AND QWT_LIBRARY)
  SET(QWT_FOUND TRUE)
ENDIF (QWT_INCLUDE_DIR AND QWT_LIBRARY)


IF (QWT_FOUND)
  IF (NOT QWT_FIND_QUIETLY)
    MESSAGE(STATUS "Found QWT lib: ${QWT_LIBRARY}")
    MESSAGE(STATUS "Found QWT include: ${QWT_INCLUDE_DIR}")
  ENDIF (NOT QWT_FIND_QUIETLY)
ELSE (QWT_FOUND)
  IF (QWT_FIND_REQUIRED)
    MESSAGE(FATAL_ERROR "Could not find QWT")
  ENDIF (QWT_FIND_REQUIRED)
ENDIF (QWT_FOUND)  


# cmake 2.8.12 doesn't have AUTOUIC ??
QT5_WRAP_UI( UI_HEADERS ${CMAKE_CURRENT_SOURCE_DIR}/form.ui )

add_library(speedplugin MODULE speedplugin.cpp
                               form.cpp
                               ${UI_HEADERS})

target_include_directories(speedplugin PUBLIC ${QWT_INCLUDE_DIR})
target_link_libraries(speedplugin qdlt Qt5::Widgets ${QWT_LIBRARY})
install(TARGETS speedplugin DESTINATION deploy/plugins)

=== plugin/dltdbusplugin/CMakeLists.txt ===
--- 
+++ 
@@ -13,8 +13,6 @@
 # 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
 #
 
-set (CMAKE_AUTOUIC ON)
-
 # cmake 2.8.12 doesn't have AUTOUIC ??
 QT5_WRAP_UI( UI_HEADERS ${CMAKE_CURRENT_SOURCE_DIR}/form.ui )
 
@@ -25,4 +23,4 @@
 
 target_link_libraries(dltdbusplugin qdlt Qt5::Widgets )
 
-install(TARGETS dltdbusplugin DESTINATION deploy/plugins)
+add_plugin(dltdbusplugin)

=== plugin/dltlogstorageplugin/CMakeLists.txt ===
--- 
+++ 
@@ -13,8 +13,6 @@
 # 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
 #
 
-set (CMAKE_AUTOUIC ON)
-
 # cmake 2.8.12 doesn't have AUTOUIC ??
 QT5_WRAP_UI( UI_HEADERS ${CMAKE_CURRENT_SOURCE_DIR}/logstorageconfigcreatorform.ui )
 
@@ -24,4 +22,5 @@
     ${UI_HEADERS})
 
 target_link_libraries(dltlogstorageplugin qdlt Qt5::Widgets )
-install(TARGETS dltlogstorageplugin DESTINATION deploy/plugins)
+
+add_plugin(dltlogstorageplugin)

=== plugin/dltsystemviewerplugin/CMakeLists.txt ===
--- 
+++ 
@@ -13,8 +13,6 @@
 # 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
 #
 
-set (CMAKE_AUTOUIC ON)
-
 # cmake 2.8.12 doesn't have AUTOUIC ??
 QT5_WRAP_UI( UI_HEADERS ${CMAKE_CURRENT_SOURCE_DIR}/form.ui )
 
@@ -23,4 +21,5 @@
                           	${UI_HEADERS})
 
 target_link_libraries(dltsystemviewerplugin qdlt Qt5::Widgets )
-install(TARGETS dltsystemviewerplugin DESTINATION deploy/plugins)
+
+add_plugin(dltsystemviewerplugin)

=== plugin/dltviewerplugin/CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,6 @@
 # 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
 #
 
-set (CMAKE_AUTOUIC ON)
 set (CMAKE_AUTOMOC ON)
 
 # cmake 2.8.12 doesn't have AUTOUIC ??
@@ -26,4 +25,5 @@
 	                        ${UI_HEADERS})
 
 target_link_libraries(dltviewerplugin qdlt Qt5::Widgets )
-install(TARGETS dltviewerplugin DESTINATION deploy/plugins)
+
+add_plugin(dltviewerplugin)

=== plugin/dummycommandplugin/CMakeLists.txt ===
--- 
+++ 
@@ -15,8 +15,6 @@
 #
 #
 
-# set (CMAKE_AUTOUIC ON)
-
 # cmake 2.8.12 doesn't have AUTOUIC ??
 # QT5_WRAP_UI( UI_HEADERS ${CMAKE_CURRENT_SOURCE_DIR}/form.ui )
 
@@ -26,4 +24,4 @@
 	                        ${UI_HEADERS})
 
 target_link_libraries(dummycommandplugin qdlt Qt5::Widgets )
-install(TARGETS dummycommandplugin DESTINATION deploy/plugins)
+add_plugin(dummycommandplugin)

=== plugin/dummycontrolplugin/CMakeLists.txt ===
--- 
+++ 
@@ -15,8 +15,6 @@
 #
 
 
-set (CMAKE_AUTOUIC ON)
-
 #cmake 2.8.12 doesn't have AUTOUIC ??
 QT5_WRAP_UI( UI_HEADERS ${CMAKE_CURRENT_SOURCE_DIR}/form.ui )
 
@@ -25,4 +23,4 @@
    ${UI_HEADERS})
 
 target_link_libraries(dummycontrolplugin qdlt Qt5::Widgets )
-install(TARGETS dummycontrolplugin DESTINATION deploy/plugins)
+add_plugin(dummycontrolplugin)

=== debian/changelog ===
dlt-viewer (2.21.2+dfsg-3) unstable; urgency=medium

  * Add missing qdlt/qdlt*.h to dev package
  * Bump compat level to 13 again

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 01 Sep 2021 11:42:30 +0200

dlt-viewer (2.21.2+dfsg-2) unstable; urgency=medium

  * Revert compat level bump to let package migrate to testing.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 04 Apr 2021 11:22:20 +0200

dlt-viewer (2.21.2+dfsg-1) unstable; urgency=medium

  * New upstream version 2.21.2+dfsg
  * Add R^3: no
  * Bump compat level to 13
  * Also install upstream png icons

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 27 Mar 2021 09:29:15 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Bruno "Fuddl" Kleinert <fuddl@debian.org>,
  Aigars Mahinovs <aigarius@debian.org>,
  Gianfranco Costamagna <locutusofborg@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  qtbase5-dev,
  qtdeclarative5-dev,
  libqt5serialport5-dev,
@@ -13,6 +13,7 @@
  asciidoc,
  dblatex
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://at.projects.genivi.org/wiki/display/PROJ/Diagnostic+Log+and+Trace
 Vcs-Browser: https://salsa.debian.org/sistpoty-guest-guest/dlt-viewer
 Vcs-Git: https://salsa.debian.org/sistpoty-guest-guest/dlt-viewer.git

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

doc/dlt_viewer_user_manual.pdf: doc/dlt_viewer_user_manual.tex
	cd doc && \
		pdflatex $(^F) && \
		pdflatex $(^F) && \
		cd ..
	$(RM) doc/dlt_viewer_user_manual.aux \
		doc/dlt_viewer_user_manual.log \
		doc/dlt_viewer_user_manual.out \
		doc/dlt_viewer_user_manual.toc

doc/dlt_viewer_plugins_programming_guide.pdf: doc/dlt_viewer_plugins_programming_guide.txt
	cd doc && sh convert.sh && cd ..

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
              -DUSE_STANDARD_INSTALLATION_LOCATION=ON \
	      -DUSE_QT_RPATH=OFF

override_dh_installdocs: doc/dlt_viewer_user_manual.pdf doc/dlt_viewer_plugins_programming_guide.pdf
	dh_installdocs

override_dh_clean:
	$(RM) doc/dlt_viewer_plugins_programming_guide.pdf \
		doc/dlt_viewer_user_manual.pdf \
		debian/doc-stamp
	dh_clean

=== debian/watch ===
version=3
opts=dversionmangle=s/(\+|\.)dfsg$// \
        https://github.com/GENIVI/dlt-viewer/tags .*/v?(\d\S*)\.tar\.gz

## dlt-viewer 2.23.0%2Bdfsg

=== plugin/dummycommandplugin/CMakeLists.txt ===
#
# Copyright (C) 2016, Jack S. Smith
#
# This file is part of COVESA DLT-Viewer project.
#
# This Source Code Form is subject to the terms of the
# Mozilla Public License (MPL), v. 2.0.
# If a copy of the MPL was not distributed with this file,
# You can obtain one at http://mozilla.org/MPL/2.0/.
#
# For further information see http://www.covesa.global/.
#
# List of changes:
# 01.Oct.2016, Jack Smith <jack.smith@elektrobit.com>, Original Author
#
#

add_library(dummycommandplugin MODULE
    dummycommandplugin.cpp
	${UI_HEADERS})

target_link_libraries(dummycommandplugin qdlt Qt5::Widgets )

add_plugin(dummycommandplugin)
